package com.ycwl.basic.order.event;

/**
 * 订单事件监听器接口
 */
public interface OrderEventListener {
    
    /**
     * 支付状态变更事件
     * 
     * @param event 支付状态变更事件
     */
    void onPaymentStatusChanged(PaymentStatusChangeEvent event);
    
    /**
     * 退款状态变更事件
     * 
     * @param event 退款状态变更事件
     */
    void onRefundStatusChanged(RefundStatusChangeEvent event);
    
    /**
     * 订单状态变更事件
     * 
     * @param event 订单状态变更事件
     */
    void onOrderStatusChanged(OrderStatusChangeEvent event);
}